Mobile behavior: Revision slider may always only have one tooltip
Closed, ResolvedPublic5 Story Points

Description

Motivation
The revision slider may also be used through touch devices like smartphones.

Test results
When testing it on an Android 6/Firefox for Mobile, we saw the following behavior:
Touching a revision bar results in

  • changing to that revision
  • the appearance of the tooltip

The tooltip then never disappeared. Apart from that, however, it was surprisingly easy to use it on a small screen.

Task:

  • Verify if we see the same behavior for other types of devices, where the mobile version is used
  • Never allow the existence of more than one tooltip at a time
  • Allow people to close tooltips / make it go away after some time for mobile / another good solution to get rid of the tooltip at some point

Background:
The revision slider is a feature that adds a visualization of all revisions to the compare screen.
The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is also a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2016, 10:44 AM
Lea_WMDE moved this task from Incoming to Revision Slider on the TCB-Team board.Aug 16 2016, 10:49 AM
Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.

I wanted to start working on the tooltip issue and it turned out that the behavior on iOS is completely different.
Touching a revision bar resulted in the tooltip being shown. Touching it again selected the revision. Same goes for the the arrow keys as can be seen in the video below which was recorded using the iOS simulator (behavior on the actual phone was the same).

Restricted Application added a project: Design. · View Herald TranscriptAug 19 2016, 1:44 PM

@Jakob_WMDE: Thanks for sharing! Seems they found some workaround. A bit cumbersome, but it seems to work. Good to know that the mobile browsers seem to deal with that differently and that maybe even some other hover-hacks may exists.

Then I suggest we fix the behavior that appears in Android6/Firefox by making sure that there is always just one tiooltip, and let there be different ways of behavior for different browsers for now. @Jan_Dittrich anything speaking against this from UX perspective?

@Jan_Dittrich anything speaking against this from UX perspective?

@Lea_WMDE: It depends.
If the goal is to fix annoying bugs: Totally fine.
If it should be easy to use: Very likely not sufficient.

update from extension talk pae: Please check the behavior of the revision slider on a notebook with a touchscreen, ideally google chrome on W10

How do I get the tool tip without moving the pointers (triangles) using a touch screen?

Link to talkpage for Notebook-with-touchscreen question: https://www.mediawiki.org/wiki/Extension_talk:RevisionSlider

Remark: I strongly assume there is no way. It seems to work on apple, because they somehow catch the first click. But without such (assumed) "magic" (fiddling with JS events browser-side) you can't show the tooltips without moving the triangles.

WMDE-leszek triaged this task as "Normal" priority.Aug 25 2016, 1:15 PM
Tobi_WMDE_SW set the point value for this task to 5.Aug 29 2016, 1:10 PM
Tobi_WMDE_SW moved this task from Proposed to Backlog on the TCB-Team-Sprint-2016-08-29 board.
Lea_WMDE raised the priority of this task from "Normal" to "High".Aug 29 2016, 3:58 PM
WMDE-Fisch claimed this task.

Update: Just tested the revision slider with Tobi on W10 / Google chrome. The revision slider shows one tooltip only, but combines the hovering + clicking, i.e. when you click, the tooltip appears and the revision is changed. There is one tooltip at a time only. In Firefox, you can even drag and drop the sliders, but not in chrome.

Change 307767 had a related patch set uploaded (by WMDE-Fisch):
Avoid having multiple revision tooltips open at once

https://gerrit.wikimedia.org/r/307767

Change 307776 had a related patch set uploaded (by WMDE-Fisch):
Close tooltips when clicking somewhere outside of them

https://gerrit.wikimedia.org/r/307776

Change 307767 merged by jenkins-bot:
Avoid having multiple revision tooltips at once

https://gerrit.wikimedia.org/r/307767

Change 307776 merged by jenkins-bot:
Close tooltips when clicking somewhere outside of them

https://gerrit.wikimedia.org/r/307776

Jan_Dittrich moved this task from Incoming to IncomingTCB on the WMDE-Design board.Sep 5 2016, 1:22 PM
WMDE-leszek closed this task as "Resolved".Sep 8 2016, 8:41 AM
Addshore moved this task from Doing to Done on the Revision-Slider board.Sep 13 2016, 2:48 PM
Charlie_WMDE moved this task from IncomingTCB to Done on the WMDE-Design board.Nov 8 2016, 4:02 PM